Subject: Re: [PATCH] promisor-remote: fix xcalloc() argument order

From: SZEDER Gábor <[email-masked]>
Date: Tue, 23 Aug 2022 09:04:17 +0200

On Mon, Aug 22, 2022 at 06:09:41PM -0700, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > ...  FWIW, "make coccicheck" with what I happen to have
> > notices it.
> 
> Oops, that was a serious typo.  "notices" -> "fails to notice".

Hm, that's strange.  1.1.1 did notice this transformation for me, as
did 1.1.0, 1.0.8, 1.0.7, and, contrary to what I wrote in the commit
message, even 1.0.6 as well.  (IIRC Ubuntu 18.04 has 1.0.4, which I
didn't try, but if that could notice it, then we should have heard
about it from CI.)

$ spatch --version
spatch version 1.1.1 compiled with OCaml version 4.08.1
Flags passed to the configure script: [none]
OCaml scripting support: yes
Python scripting support: yes
Syntax of regular expressions: PCRE

> > $ spatch version
> > spatch version 1.1.1 compiled with OCaml version 4.13.1
> > Flags passed to the configure script: --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib --enable-ocaml --enable-python --enable-opt
> > OCaml scripting support: yes
> > Python scripting support: yes
> > Syntax of regular expressions: PCRE